Index: /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1021)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1022)
@@ -76,5 +76,4 @@
      key_c1d \
      key_cfc \
-     key_cfg_1d \
      key_diaeiv \
      key_diainstant \
@@ -152,5 +151,4 @@
 		$(MODEL_LIB)(dynspg_oce.o)\
 		$(MODEL_LIB)(eosbn2.o)\
-		$(MODEL_LIB)(initrc.o)\
 		$(MODEL_LIB)(in_out_manager.o)\
 		$(MODEL_LIB)(iom_def.o)\
@@ -215,8 +213,6 @@
 		$(MODEL_LIB)(trcctl.o)\
 		$(MODEL_LIB)(trcdia.o)\
-		$(MODEL_LIB)(trcdit.o)\
 		$(MODEL_LIB)(trcdmp.o)\
 		$(MODEL_LIB)(trcdta.o)\
-		$(MODEL_LIB)(trcdtr.o)\
 		$(MODEL_LIB)(trcexp.o)\
 		$(MODEL_LIB)(trc.o)\
@@ -623,4 +619,5 @@
 	iom_nf90.F90 \
 	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -630,4 +627,5 @@
 	$(MODEL_LIB)(iom_nf90.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -776,88 +774,4 @@
 	KEY_CPP \
 	eosbn2.F90
-$(MODEL_LIB)(initrc.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(ocfzpt.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(sms.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trcdta.o) \
-	$(MODEL_LIB)(trcini_cfc.o) \
-	$(MODEL_LIB)(trcini_lobster.o) \
-	$(MODEL_LIB)(trcini_my_trc.o) \
-	$(MODEL_LIB)(trcini_pisces.o) \
-	$(MODEL_LIB)(trclsm.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trcsms_cfc.o) \
-	$(MODEL_LIB)(trctrp_ctl.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	ocfzpt.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	sms.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trcdta.F90 \
-	trc.F90 \
-	trcini_cfc.F90 \
-	trcini_lobster.F90 \
-	trcini_my_trc.F90 \
-	trcini_pisces.F90 \
-	trclsm.F90 \
-	trcsms_cfc.F90 \
-	trctrp_ctl.F90 \
-	trctrp_lec.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	zdf_oce.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trcctl.o) \
-	$(MODEL_LIB)(trcdtr.o) \
-	$(MODEL_LIB)(trcini.o) \
-	$(MODEL_LIB)(trclec.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trcrst.o) \
-	oce_trc.F90 \
-	prtctl_trc.F90 \
-	trcctl.F90 \
-	trcdtr.F90 \
-	trc.F90 \
-	trcini.F90 \
-	trclec.F90 \
-	trcrst.F90 \
-	domzgr_substitute.h90 \
-	KEY_CPP \
-	initrc.F90
 $(MODEL_LIB)(in_out_manager.o) :	\
 	$(MODEL_LIB)(par_kind.o) \
@@ -881,4 +795,5 @@
 	iom_def.F90 \
 	lbclnk.F90 \
+	lib_mpp.F90 \
 	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -886,7 +801,10 @@
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	oce.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -897,4 +815,5 @@
 	iom_nf90.F90 \
 	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -903,19 +822,12 @@
 	$(MODEL_LIB)(iom_nf90.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	KEY_CPP \
 	iom.F90
 $(MODEL_LIB)(iom_ioipsl.o) :	\
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	oce.F90 \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -923,9 +835,7 @@
 	in_out_manager.F90 \
 	iom_def.F90 \
-	lbclnk.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
-	$(MODEL_LIB)(lbclnk.o) \
 	$(IOIPSL_LIB) \
 	iom_ioipsl.F90
@@ -1184,5 +1094,4 @@
 	dtadyn.F90 \
 	eosbn2.F90 \
-	initrc.F90 \
 	in_out_manager.F90 \
 	istate.F90 \
@@ -1195,5 +1104,4 @@
 	$(MODEL_LIB)(dtadyn.o) \
 	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(initrc.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(istate.o) \
@@ -1205,4 +1113,5 @@
 	$(MODEL_LIB)(step.o) \
 	$(MODEL_LIB)(traqsr.o) \
+	$(MODEL_LIB)(trcini.o) \
 	$(MODEL_LIB)(zdfini.o) \
 	$(MODEL_LIB)(zpshde.o) \
@@ -1212,4 +1121,5 @@
 	step.F90 \
 	traqsr.F90 \
+	trcini.F90 \
 	zdfini.F90 \
 	zpshde.F90 \
@@ -1365,6 +1275,9 @@
 	$(MODEL_LIB)(trcctl.o) \
 	$(MODEL_LIB)(trcdia.o) \
-	$(MODEL_LIB)(trcdtr.o) \
-	$(MODEL_LIB)(trcini.o) \
+	$(MODEL_LIB)(trcdta.o) \
+	$(MODEL_LIB)(trcini_cfc.o) \
+	$(MODEL_LIB)(trcini_lobster.o) \
+	$(MODEL_LIB)(trcini_my_trc.o) \
+	$(MODEL_LIB)(trcini_pisces.o) \
 	$(MODEL_LIB)(trclec.o) \
 	$(MODEL_LIB)(trc.o) \
@@ -1388,7 +1301,10 @@
 	trcctl.F90 \
 	trcdia.F90 \
-	trcdtr.F90 \
-	trc.F90 \
-	trcini.F90 \
+	trcdta.F90 \
+	trc.F90 \
+	trcini_cfc.F90 \
+	trcini_lobster.F90 \
+	trcini_my_trc.F90 \
+	trcini_pisces.F90 \
 	trclec.F90 \
 	trcrst.F90 \
@@ -1403,5 +1319,4 @@
 	dtadyn.F90 \
 	eosbn2.F90 \
-	initrc.F90 \
 	in_out_manager.F90 \
 	istate.F90 \
@@ -1414,5 +1329,4 @@
 	$(MODEL_LIB)(dtadyn.o) \
 	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(initrc.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(istate.o) \
@@ -1424,4 +1338,5 @@
 	$(MODEL_LIB)(step.o) \
 	$(MODEL_LIB)(traqsr.o) \
+	$(MODEL_LIB)(trcini.o) \
 	$(MODEL_LIB)(zdfini.o) \
 	$(MODEL_LIB)(zpshde.o) \
@@ -1431,4 +1346,5 @@
 	step.F90 \
 	traqsr.F90 \
+	trcini.F90 \
 	zdfini.F90 \
 	zpshde.F90 \
@@ -2260,4 +2176,5 @@
 	iom_nf90.F90 \
 	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -2271,4 +2188,5 @@
 	$(MODEL_LIB)(iom_nf90.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -2664,4 +2582,5 @@
 	sol_oce.F90
 $(MODEL_LIB)(step.o) :	\
+	dianam.F90 \
 	dom_oce.F90 \
 	eosbn2.F90 \
@@ -2674,4 +2593,5 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -2696,5 +2616,4 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(trcdia.o) \
-	$(MODEL_LIB)(trcdit.o) \
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcrst.o) \
@@ -2718,5 +2637,4 @@
 	trabbl.F90 \
 	trcdia.F90 \
-	trcdit.F90 \
 	trc.F90 \
 	trcrst.F90 \
@@ -3155,4 +3073,5 @@
 	iom_nf90.F90 \
 	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -3166,4 +3085,5 @@
 	$(MODEL_LIB)(iom_nf90.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -3390,21 +3310,4 @@
 	trcctl.F90
 $(MODEL_LIB)(trcdia.o) :	\
-	dianam.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(dianam.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(sms.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	sms.F90 \
-	trc.F90 \
-	$(MODEL_LIB)(trcdit.o) \
-	trcdit.F90 \
-	KEY_CPP \
-	trcdia.F90
-$(MODEL_LIB)(trcdit.o) :	\
 	daymod.F90 \
 	dom_oce.F90 \
@@ -3468,5 +3371,5 @@
 	$(IOIPSL_LIB) \
 	KEY_CPP \
-	trcdit.F90
+	trcdia.F90
 $(MODEL_LIB)(trcdmp.o) :	\
 	daymod.F90 \
@@ -3479,4 +3382,5 @@
 	iom_nf90.F90 \
 	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -3492,4 +3396,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -3553,4 +3458,5 @@
 	iom_nf90.F90 \
 	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -3564,4 +3470,5 @@
 	$(MODEL_LIB)(iom_nf90.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -3618,63 +3525,4 @@
 	KEY_CPP \
 	trcdta.F90
-$(MODEL_LIB)(trcdtr.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(ocfzpt.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	ocfzpt.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	zdf_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(sms.o) \
-	$(MODEL_LIB)(trcdta.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	sms.F90 \
-	trcdta.F90 \
-	trc.F90 \
-	KEY_CPP \
-	trcdtr.F90
 $(MODEL_LIB)(trcexp.o) :	\
 	daymod.F90 \
@@ -3818,44 +3666,94 @@
 	trcini_cfc.F90
 $(MODEL_LIB)(trcini.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	lib_print.f90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dynspg_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(ldfslp.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(ocfzpt.o) \
 	$(MODEL_LIB)(p4zche.o) \
-	$(MODEL_LIB)(par_cfc.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_lobster.o) \
-	$(MODEL_LIB)(par_my_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_pisces.o) \
-	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbcrnf.o) \
 	$(MODEL_LIB)(sms.o) \
+	$(MODEL_LIB)(trabbl.o) \
+	$(MODEL_LIB)(traqsr.o) \
+	$(MODEL_LIB)(trclsm.o) \
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcsms_cfc.o) \
+	$(MODEL_LIB)(trctrp_ctl.o) \
+	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	oce_trc.F90 \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
+	ocfzpt.F90 \
 	p4zche.F90 \
-	par_cfc.F90 \
-	par_kind.F90 \
-	par_lobster.F90 \
-	par_my_trc.F90 \
-	par_oce.F90 \
-	par_pisces.F90 \
-	par_trc.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
 	sms.F90 \
-	trc.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
+	trc.F90 \
+	trclsm.F90 \
 	trcsms_cfc.F90 \
+	trctrp_ctl.F90 \
+	trctrp_lec.F90 \
 	trp_trc.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(par_trc.o) \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(prtctl_trc.o) \
+	$(MODEL_LIB)(trcctl.o) \
+	$(MODEL_LIB)(trcdta.o) \
 	$(MODEL_LIB)(trcini_cfc.o) \
 	$(MODEL_LIB)(trcini_lobster.o) \
 	$(MODEL_LIB)(trcini_my_trc.o) \
 	$(MODEL_LIB)(trcini_pisces.o) \
-	par_trc.F90 \
+	$(MODEL_LIB)(trclec.o) \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trcrst.o) \
+	oce_trc.F90 \
+	prtctl_trc.F90 \
+	trcctl.F90 \
+	trcdta.F90 \
+	trc.F90 \
 	trcini_cfc.F90 \
 	trcini_lobster.F90 \
 	trcini_my_trc.F90 \
 	trcini_pisces.F90 \
+	trclec.F90 \
+	trcrst.F90 \
+	domzgr_substitute.h90 \
+	KEY_CPP \
 	trcini.F90
 $(MODEL_LIB)(trcini_lobster.o) :	\
@@ -3911,7 +3809,9 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(sms.o) \
+	$(MODEL_LIB)(trc.o) \
 	oce_trc.F90 \
 	par_trc.F90 \
 	sms.F90 \
+	trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -3926,12 +3826,18 @@
 	$(MODEL_LIB)(par_lobster.o) \
 	$(MODEL_LIB)(par_my_trc.o) \
+	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(par_pisces.o) \
+	$(MODEL_LIB)(par_trc.o) \
 	par_cfc.F90 \
 	par_kind.F90 \
 	par_lobster.F90 \
 	par_my_trc.F90 \
+	par_oce.F90 \
 	par_pisces.F90 \
-	$(MODEL_LIB)(par_trc.o) \
-	par_trc.F90 \
+	par_trc.F90 \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(trc.o) \
+	par_trc.F90 \
+	trc.F90 \
 	KEY_CPP \
 	trcini_my_trc.F90
@@ -3993,8 +3899,11 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zche.o) \
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(sms.o) \
+	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
@@ -4002,4 +3911,5 @@
 	par_trc.F90 \
 	sms.F90 \
+	trc.F90 \
 	trp_trc.F90 \
 	domzgr_substitute.h90 \
@@ -4810,4 +4720,5 @@
 	iom_nf90.F90 \
 	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -4821,4 +4732,5 @@
 	$(MODEL_LIB)(iom_nf90.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -5308,5 +5220,4 @@
 	$(MODEL_LIB)(trcadv_tvd.o) \
 	$(MODEL_LIB)(trcbbl.o) \
-	$(MODEL_LIB)(trcdit.o) \
 	$(MODEL_LIB)(trcdmp.o) \
 	$(MODEL_LIB)(trcldf_bilapg.o) \
@@ -5350,5 +5261,4 @@
 	trcadv_tvd.F90 \
 	trcbbl.F90 \
-	trcdit.F90 \
 	trcdmp.F90 \
 	trc.F90 \
@@ -5377,5 +5287,4 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(trcdia.o) \
-	$(MODEL_LIB)(trcdit.o) \
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcrst.o) \
@@ -5385,5 +5294,4 @@
 	prtctl_trc.F90 \
 	trcdia.F90 \
-	trcdit.F90 \
 	trc.F90 \
 	trcrst.F90 \
@@ -6125,5 +6033,5 @@
       \$(RM) trcstp.F90                      ; \
       \$(RM) sms.F90                         ; \
-      \$(RM) initrc.F90                      ; \
+      \$(RM) trcini.F90                      ; \
       ln -sf ../TOP_SRC/*.[Ffh]90          . ; \
       ln -sf ../TOP_SRC/TRP/*.[Ffh]90      . ; \