Index: /trunk/CONFIG/GYRE/EXP00/namelist
===================================================================
--- /trunk/CONFIG/GYRE/EXP00/namelist	(revision 1051)
+++ /trunk/CONFIG/GYRE/EXP00/namelist	(revision 1052)
@@ -711,5 +711,5 @@
 !  ln_rstke flag to restart with tke from a run without tke (default F)
 !  ediff    coef. to compute vertical eddy coef. (avt=ediff*mxl*sqrt(e) )
-!  ediss    coef. of the Kolmogoroff dissipation  
+!  ediss    coef. of the Kolmogoroff dissipation
 !  ebb      coef. of the surface input of tke
 !  efave    coef. to applied to the tke diffusion ( avtke=efave*avm )
@@ -726,4 +726,14 @@
 !  nave     =  horizontal averaged (=1) or not (=0) of avt  (default =1)
 !  navb     = 0 cst background avt0, avm0 / =1 profile used on avtb
+!  ln_lsfc  computation surface value of buoyancy lenght scale as function of wind stress
+!  rn_lmin  buoyancy lenght scale minimum value if ln_lsfc = F
+!  nn_etau  to add tke induced by wind  = 0 no add tke induced by wind
+!           !                           = 1 add tke induced by wind
+!           !                           = 2 add tke induced by wind only at the base of the mixed layer
+!  nn_htau  TKE penetration profile type
+!  rn_efr   fraction of TKE surface value which penetrates inside the thermocline
+!  ln_lc    flag to take into account Langmuir Circulation (LC)
+!  rn_lc    coef to compute vertical velocity of LC
+!  nn_avtb_2d equatorial horizontal shape (=0 uniform) (=1 linear decrease and constant)
 &namtke
    ln_rstke = .false.
@@ -738,4 +748,13 @@
    npdl  =         1
    navb  =         0
+   nave  =         1
+   ln_lsfc =  .false.
+   rn_lmin =     0.4
+   nn_etau =       0
+   nn_htau =       2
+   rn_efr  =    0.05
+   ln_lc   =  .false.
+   rn_lc   =    0.15
+   nn_avtb_2d =    0
 /
 !-----------------------------------------------------------------------
Index: /trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist
===================================================================
--- /trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 1051)
+++ /trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 1052)
@@ -711,5 +711,5 @@
 !  ln_rstke flag to restart with tke from a run without tke (default F)
 !  ediff    coef. to compute vertical eddy coef. (avt=ediff*mxl*sqrt(e) )
-!  ediss    coef. of the Kolmogoroff dissipation  
+!  ediss    coef. of the Kolmogoroff dissipation
 !  ebb      coef. of the surface input of tke
 !  efave    coef. to applied to the tke diffusion ( avtke=efave*avm )
@@ -726,4 +726,14 @@
 !  nave     =  horizontal averaged (=1) or not (=0) of avt  (default =1)
 !  navb     = 0 cst background avt0, avm0 / =1 profile used on avtb
+!  ln_lsfc  computation surface value of buoyancy lenght scale as function of wind stress
+!  rn_lmin  buoyancy lenght scale minimum value if ln_lsfc = F
+!  nn_etau  to add tke induced by wind  = 0 no add tke induced by wind
+!           !                           = 1 add tke induced by wind
+!           !                           = 2 add tke induced by wind only at the base of the mixed layer
+!  nn_htau  TKE penetration profile type
+!  rn_efr   fraction of TKE surface value which penetrates inside the thermocline
+!  ln_lc    flag to take into account Langmuir Circulation (LC)
+!  rn_lc    coef to compute vertical velocity of LC
+!  nn_avtb_2d equatorial horizontal shape (=0 uniform) (=1 linear decrease and constant)
 &namtke
    ln_rstke = .false.
@@ -738,4 +748,13 @@
    npdl  =         1
    navb  =         0
+   nave  =         1
+   ln_lsfc =  .false.
+   rn_lmin =     0.4
+   nn_etau =       0
+   nn_htau =       2
+   rn_efr  =    0.05
+   ln_lc   =  .false.
+   rn_lc   =    0.15
+   nn_avtb_2d =    0
 /
 !-----------------------------------------------------------------------
Index: /trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1051)
+++ /trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1052)
@@ -1,14 +1,14 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  :       1 - run manager      (namrun, nam_ctl, nam_mpp, nam_mpp_dyndist, nam_ctl)
-!! namelists         2 - Domain           (nam_zgr, nam_zgr_sco, namdom)
-!!                   3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
-!!                                         namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
-!!                   4 - lateral boundary (namlbc, namcla, namobc)
-!!                   5 - bottom  boundary (nambfr, nambbc, nambbl)
-!!                   6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
-!!                   7 - dynamics         (nam_dynadv, nam_dynvor, nam_dynhpg, namflg, nam_dynspg, nam_dynldf)
-!!                   8 - Verical physics  (namzdf, namnpc, namric, namtke, namkpp, namddm)
-!!                   9 - diagnostics      (namtrd, namgap, namspr, namflo, namptr)
-!!                   9 - miscellaneous    (namsol)
+!! NEMO/OPA  :  1 - run manager      (namrun, nam_ctl, nam_mpp, nam_mpp_dyndist, nam_ctl)
+!! namelists    2 - Domain           (nam_zgr, nam_zgr_sco, namdom)
+!!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
+!!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
+!!              4 - lateral boundary (namlbc, namcla, namobc)
+!!              5 - bottom  boundary (nambfr, nambbc, nambbl)
+!!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
+!!              7 - dynamics         (nam_dynadv, nam_dynvor, nam_dynhpg, namflg, nam_dynspg, nam_dynldf)
+!!              8 - Verical physics  (namzdf, namnpc, namric, namtke, namkpp, namddm)
+!!              9 - diagnostics      (namtrd, namgap, namspr, namflo, namptr)
+!!              9 - miscellaneous    (namsol)
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !  CAUTION: some scripts does not support CAPITALs for logical definition 
@@ -730,4 +730,14 @@
 !  nave     =  horizontal averaged (=1) or not (=0) of avt  (default =1)
 !  navb     = 0 cst background avt0, avm0 / =1 profile used on avtb
+!  ln_lsfc  computation surface value of buoyancy lenght scale as function of wind stress
+!  rn_lmin  buoyancy lenght scale minimum value if ln_lsfc = F
+!  nn_etau  to add tke induced by wind  = 0 no add tke induced by wind
+!           !                           = 1 add tke induced by wind
+!           !                           = 2 add tke induced by wind only at the base of the mixed layer
+!  nn_htau  TKE penetration profile type
+!  rn_efr   fraction of TKE surface value which penetrates inside the thermocline
+!  ln_lc    flag to take into account Langmuir Circulation (LC)
+!  rn_lc    coef to compute vertical velocity of LC
+!  nn_avtb_2d equatorial horizontal shape (=0 uniform) (=1 linear decrease and constant)
 &namtke
    ln_rstke = .false.
@@ -742,4 +752,13 @@
    npdl  =         1
    navb  =         0
+   nave  =         1
+   ln_lsfc =  .false.
+   rn_lmin =     0.4
+   nn_etau =       0
+   nn_htau =       2
+   rn_efr  =    0.05
+   ln_lc   =  .false.
+   rn_lc   =    0.15
+   nn_avtb_2d =    0
 /
 !-----------------------------------------------------------------------
Index: /trunk/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1051)
+++ /trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1052)
@@ -715,5 +715,5 @@
 !  ln_rstke flag to restart with tke from a run without tke (default F)
 !  ediff    coef. to compute vertical eddy coef. (avt=ediff*mxl*sqrt(e) )
-!  ediss    coef. of the Kolmogoroff dissipation  
+!  ediss    coef. of the Kolmogoroff dissipation
 !  ebb      coef. of the surface input of tke
 !  efave    coef. to applied to the tke diffusion ( avtke=efave*avm )
@@ -730,4 +730,14 @@
 !  nave     =  horizontal averaged (=1) or not (=0) of avt  (default =1)
 !  navb     = 0 cst background avt0, avm0 / =1 profile used on avtb
+!  ln_lsfc  computation surface value of buoyancy lenght scale as function of wind stress
+!  rn_lmin  buoyancy lenght scale minimum value if ln_lsfc = F
+!  nn_etau  to add tke induced by wind  = 0 no add tke induced by wind
+!           !                           = 1 add tke induced by wind
+!           !                           = 2 add tke induced by wind only at the base of the mixed layer
+!  nn_htau  TKE penetration profile type
+!  rn_efr   fraction of TKE surface value which penetrates inside the thermocline
+!  ln_lc    flag to take into account Langmuir Circulation (LC)
+!  rn_lc    coef to compute vertical velocity of LC
+!  nn_avtb_2d equatorial horizontal shape (=0 uniform) (=1 linear decrease and constant)
 &namtke
    ln_rstke = .false.
@@ -742,4 +752,13 @@
    npdl  =         1
    navb  =         0
+   nave  =         1
+   ln_lsfc =  .false.
+   rn_lmin =     0.4
+   nn_etau =       0
+   nn_htau =       2
+   rn_efr  =    0.05
+   ln_lc   =  .false.
+   rn_lc   =    0.15
+   nn_avtb_2d =    0
 /
 !-----------------------------------------------------------------------
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1051)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1052)
@@ -715,5 +715,5 @@
 !  ln_rstke flag to restart with tke from a run without tke (default F)
 !  ediff    coef. to compute vertical eddy coef. (avt=ediff*mxl*sqrt(e) )
-!  ediss    coef. of the Kolmogoroff dissipation  
+!  ediss    coef. of the Kolmogoroff dissipation
 !  ebb      coef. of the surface input of tke
 !  efave    coef. to applied to the tke diffusion ( avtke=efave*avm )
@@ -730,4 +730,14 @@
 !  nave     =  horizontal averaged (=1) or not (=0) of avt  (default =1)
 !  navb     = 0 cst background avt0, avm0 / =1 profile used on avtb
+!  ln_lsfc  computation surface value of buoyancy lenght scale as function of wind stress
+!  rn_lmin  buoyancy lenght scale minimum value if ln_lsfc = F
+!  nn_etau  to add tke induced by wind  = 0 no add tke induced by wind
+!           !                           = 1 add tke induced by wind
+!           !                           = 2 add tke induced by wind only at the base of the mixed layer
+!  nn_htau  TKE penetration profile type
+!  rn_efr   fraction of TKE surface value which penetrates inside the thermocline
+!  ln_lc    flag to take into account Langmuir Circulation (LC)
+!  rn_lc    coef to compute vertical velocity of LC
+!  nn_avtb_2d equatorial horizontal shape (=0 uniform) (=1 linear decrease and constant)
 &namtke
    ln_rstke = .false.
@@ -742,4 +752,13 @@
    npdl  =         1
    navb  =         0
+   nave  =         1
+   ln_lsfc =  .false.
+   rn_lmin =     0.4
+   nn_etau =       0
+   nn_htau =       2
+   rn_efr  =    0.05
+   ln_lc   =  .false.
+   rn_lc   =    0.15
+   nn_avtb_2d =    0
 /
 !-----------------------------------------------------------------------