Index: trunk/NEMO/OPA_SRC/DOM/dommsk.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 1055)
+++ trunk/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 1056)
@@ -497,5 +497,5 @@
       !!----------------------------------------------------------------------
       INTEGER  :: ji, jj, jk, jl      ! dummy loop indices
-      INTEGER ::   ine, inw, ins, inn, itest, ierror, iind, ijnd, ii
+      INTEGER ::   ine, inw, ins, inn, itest, ierror, iind, ijnd
       INTEGER, DIMENSION(jpi*jpj*jpk,3) ::  icoord
       REAL(wp) ::   zaa
Index: trunk/NEMO/OPA_SRC/DYN/divcur.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/divcur.F90	(revision 1055)
+++ trunk/NEMO/OPA_SRC/DYN/divcur.F90	(revision 1056)
@@ -87,5 +87,4 @@
       INTEGER ::   ii, ij, jl     ! temporary integer
       INTEGER ::   ijt, iju       ! temporary integer
-      REAL(wp) ::   zdiv, zdju
       REAL(wp), DIMENSION(   jpi  ,1:jpj+2) ::   zwu   ! workspace
       REAL(wp), DIMENSION(-1:jpi+2,  jpj  ) ::   zwv   ! workspace
Index: trunk/NEMO/OPA_SRC/IOM/in_out_manager.F90
===================================================================
--- trunk/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 1055)
+++ trunk/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 1056)
@@ -5,6 +5,7 @@
    !!                 turbulent closure parameterization
    !!=====================================================================
-   !! History :   8.5  !  02-06  (G. Madec)  original code
-   !!             9.0  !  06-07  (S. Masson)  iom, add ctl_stop, ctl_warn
+   !! History :   1.0  !  2002-06  (G. Madec)  original code
+   !!             2.0  !  2006-07  (S. Masson)  iom, add ctl_stop, ctl_warn
+   !!             3.0  !  2008-06  (G. Madec)  add ctmp4 to ctmp10
    !!----------------------------------------------------------------------
 
@@ -12,8 +13,9 @@
    !!   ctl_stop   : update momentum and tracer Kz from a tke scheme
    !!   ctl_warn   : initialization, namelist read, and parameters control
+   !!   getunit    : give the index of an unused logical unit
    !!----------------------------------------------------------------------
-   USE par_kind
-   USE par_oce
-   USE lib_print         ! formated print library
+   USE par_kind        ! kind definition
+   USE par_oce         ! ocean parameter
+   USE lib_print       ! formated print library
 
    IMPLICIT NONE
@@ -77,5 +79,8 @@
    INTEGER            ::   nstop = 0                !: error flag (=number of reason for a premature stop run)
    INTEGER            ::   nwarn = 0                !: warning flag (=number of warning found during the run)
-   CHARACTER(len=200) ::   ctmp1, ctmp2, ctmp3      !: temporary character
+   CHARACTER(len=200) ::   ctmp1, ctmp2, ctmp3      !: temporary characters 1 to 3
+   CHARACTER(len=200) ::   ctmp4, ctmp5, ctmp6      !: temporary characters 4 to 6
+   CHARACTER(len=200) ::   ctmp7, ctmp8, ctmp9      !: temporary characters 7 to 9
+   CHARACTER(len=200) ::   ctmp10                   !: temporary character 10
    CHARACTER (len=64) ::   cform_err = "(/,' ===>>> : E R R O R',     /,'         ===========',/)"       !:
    CHARACTER (len=64) ::   cform_war = "(/,' ===>>> : W A R N I N G', /,'         ===============',/)"   !:
@@ -83,6 +88,6 @@
    LOGICAL            ::   lsp_area = .TRUE.        !: to make a control print over a specific area
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/IOM/in_out_manager.F90,v 1.11 2007/03/02 16:37:06 opalod Exp $ 
+   !! NEMO/OPA 3.0 , LOCEAN-IPSL (2008) 
+   !! $Id:$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -92,12 +97,13 @@
    SUBROUTINE ctl_stop( cd1, cd2, cd3, cd4, cd5,   &
       &                 cd6, cd7, cd8, cd9, cd10 )
-      !!-----------------------------------------------------------------------
+      !!----------------------------------------------------------------------
       !!                  ***  ROUTINE  stop_opa  ***
       !!
-      !! ** Purpose : ??? blah blah....
-      !!-----------------------------------------------------------------------
+      !! ** Purpose :   print in ocean.outpput file a error message and 
+      !!                increment the error number (nstop) by one.
+      !!----------------------------------------------------------------------
       CHARACTER(len=*), INTENT(in), OPTIONAL ::  cd1, cd2, cd3, cd4, cd5
       CHARACTER(len=*), INTENT(in), OPTIONAL ::  cd6, cd7, cd8, cd9, cd10
-      !!-----------------------------------------------------------------------
+      !!----------------------------------------------------------------------
       !
       nstop = nstop + 1 
@@ -122,12 +128,13 @@
    SUBROUTINE ctl_warn( cd1, cd2, cd3, cd4, cd5,   &
       &                 cd6, cd7, cd8, cd9, cd10 )
-      !!-----------------------------------------------------------------------
+      !!----------------------------------------------------------------------
       !!                  ***  ROUTINE  stop_warn  ***
       !!
-      !! ** Purpose : ???  blah blah....
-      !!-----------------------------------------------------------------------
+      !! ** Purpose :   print in ocean.outpput file a error message and 
+      !!                increment the warning number (nwarn) by one.
+      !!----------------------------------------------------------------------
       CHARACTER(len=*), INTENT(in), OPTIONAL ::  cd1, cd2, cd3, cd4, cd5
       CHARACTER(len=*), INTENT(in), OPTIONAL ::  cd6, cd7, cd8, cd9, cd10
-      !!-----------------------------------------------------------------------
+      !!----------------------------------------------------------------------
       ! 
       nwarn = nwarn + 1 
@@ -151,24 +158,24 @@
 
    FUNCTION getunit()
-     !!-----------------------------------------------------------------------
-     !!                  ***  FUNCTION  getunit  ***
-     !!
-     !! ** Purpose : ???  blah blah....
-     !!-----------------------------------------------------------------------
-     INTEGER :: getunit
-     LOGICAL :: llopn 
-     !---------------------------------------------------------------------
-     getunit = 15   ! choose a unit that is big enough then it is
-                    !  not already used in OPA
-     llopn = .TRUE.
-     DO WHILE( (getunit < 998) .AND. llopn )
-        getunit = getunit + 1
-        INQUIRE( unit = getunit, opened = llopn )
-     END DO
-     IF( (getunit == 999) .AND. llopn ) THEN
-        CALL ctl_stop( 'getunit: All logical units until 999 are used...' )
-        getunit = -1
-     ENDIF
-
+      !!----------------------------------------------------------------------
+      !!                  ***  FUNCTION  getunit  ***
+      !!
+      !! ** Purpose :   return the index of an unused logical unit
+      !!----------------------------------------------------------------------
+      INTEGER :: getunit
+      LOGICAL :: llopn 
+      !!----------------------------------------------------------------------
+      !
+      getunit = 15   ! choose a unit that is big enough then it is not already used in NEMO
+      llopn = .TRUE.
+      DO WHILE( (getunit < 998) .AND. llopn )
+         getunit = getunit + 1
+         INQUIRE( unit = getunit, opened = llopn )
+      END DO
+      IF( (getunit == 999) .AND. llopn ) THEN
+         CALL ctl_stop( 'getunit: All logical units until 999 are used...' )
+         getunit = -1
+      ENDIF
+      !
    END FUNCTION getunit
 