Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1055)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1059)
@@ -713,52 +713,54 @@
 !       namtke   turbulent eddy kinetic dependent vertical diffusion    ("key_zdftke")
 !-----------------------------------------------------------------------
-!  ln_rstke flag to restart with tke from a run without tke (default F)
-!  ediff    coef. to compute vertical eddy coef. (avt=ediff*mxl*sqrt(e) )
-!  ediss    coef. of the Kolmogoroff dissipation
-!  ebb      coef. of the surface input of tke
-!  efave    coef. to applied to the tke diffusion ( avtke=efave*avm )
-!  emin     minimum value of tke (m^2/s^2)
-!  emin0    surface minimum value of tke (m^2/s^2)
-!  nitke    number of restart iterative loops
-!  ri_c     critic richardson number = 2/9 = 0.22222222 (hard coded)
-!  nmxl     length used   = 0 bounded by the distance to surface and bottom
-!           !             = 1 bounded by the local vertical scale factor
-!           !             = 2 first vertical derivative of mixing length bounded by 1
-!  npdl     Prandtl number   = 0 no vertical prandtl number (avt=avm)
-!           !                = 1 prandtl number function of richarson number (avt=pdl*avm)
-!           !                = 2 same as = 1 but a shapiro filter is applied on pdl
-!  nave     =  horizontal averaged (=1) or not (=0) of avt  (default =1)
-!  navb     = 0 cst background avt0, avm0 / =1 profile used on avtb
-!  ln_lsfc  computation surface value of buoyancy lenght scale as function of wind stress
-!  rn_lmin  buoyancy lenght scale minimum value if ln_lsfc = F
-!  nn_etau  to add tke induced by wind  = 0 no add tke induced by wind
-!           !                           = 1 add tke induced by wind
-!           !                           = 2 add tke induced by wind only at the base of the mixed layer
-!  nn_htau  TKE penetration profile type
-!  rn_efr   fraction of TKE surface value which penetrates inside the thermocline
-!  ln_lc    flag to take into account Langmuir Circulation (LC)
-!  rn_lc    coef to compute vertical velocity of LC
-!  nn_avtb_2d equatorial horizontal shape (=0 uniform) (=1 linear decrease and constant)
+!  ln_rstke    flag to restart with tke from a run without tke (default F)
+!  rn_ediff    coef. to compute vertical eddy coef. (avt=rn_ediff*mxl*sqrt(e) )
+!  rn_ediss    coef. of the Kolmogoroff dissipation
+!  rn_ebb      coef. of the surface input of tke
+!  rn_efave    coef. to applied to the tke diffusion ( avtke=rn_efave*avm )
+!  rn_emin     minimum value of tke (m^2/s^2)
+!  rn_emin0    surface minimum value of tke (m^2/s^2)
+!  nn_itke     number of restart iterative loops
+!  rn_cri      critic richardson number = 2/9 = 0.22222222 (hard coded)
+!  nn_mxl      length used = 0 bounded by the distance to surface and bottom
+!              !           = 1 bounded by the local vertical scale factor
+!              !           = 2 first vertical derivative of mixing length bounded by 1
+!              !           = 3 same criteria as case 2 but applied in a different way
+!  nn_pdl      Prandtl number = 0 no vertical prandtl number (avt=avm)
+!              !              = 1 prandtl number function of richarson number (avt=nn_pdl*avm)
+!  nn_ave      = horizontal averaged (=1) or not (=0) of avt  (default =1)
+!  nn_avb      = 0 cst background avt0, avm0 / =1 profile used on avtb
+!  ln_mxl0     mixing length scale surface value as function of wind stress or not
+!  rn_lmin     interior buoyancy lenght scale minimum value 
+!  rn_lmin0    surface  buoyancy lenght scale minimum value 
+!  nn_etau     to add tke induced by wind  = 0 no add tke induced by wind
+!              !                           = 1 add tke induced by wind
+!              !                           = 2 add tke induced by wind only at the mxl base
+!  nn_htau     TKE penetration profile type
+!  rn_efr      fraction of TKE surface value which penetrates inside the thermocline
+!  ln_lc       flag to take into account Langmuir Circulation (LC)
+!  rn_lc       coef to compute vertical velocity of LC
+!  nn_havtb    horizontal shape or not for avtb (=0/1)
 &namtke
    ln_rstke = .false.
-   ediff =       0.1
-   ediss =       0.7
-   ebb   =      3.75
-   efave =        1.
-   emin  =     1.e-6
-   emin0 =     1.e-4
-   nitke =        50
-   nmxl  =         2
-   npdl  =         1
-   navb  =         0
-   nave  =         1
-   ln_lsfc =  .false.
-   rn_lmin =     0.4
-   nn_etau =       0
-   nn_htau =       2
-   rn_efr  =    0.05
-   ln_lc   =  .false.
-   rn_lc   =    0.15
-   nn_avtb_2d =    0
+   rn_ediff =     0.1
+   rn_ediss =     0.7
+   rn_ebb   =    3.75
+   rn_efave =      1.
+   rn_emin  =   1.e-6
+   rn_emin0 =   1.e-4
+   nn_itke  =      50
+   nn_mxl   =       2
+   nn_pdl   =       1
+   nn_avb   =       0
+   nn_ave   =       1
+   ln_mxl0  = .false.
+   rn_lmin  =     0.4
+   rn_lmin0 =     0.4
+   nn_etau  =       0
+   nn_htau  =       2
+   rn_efr   =    0.05
+   ln_lc    = .false.
+   rn_lc    =    0.15
+   nn_havtb =       0
 /
 !-----------------------------------------------------------------------