Index: unk/CONFIG/GYRE_LOBSTER/EXP00/namelist.passivetrc
===================================================================
--- /trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist.passivetrc	(revision 1089)
+++ 	(revision )
@@ -1,182 +1,0 @@
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-! OPA MODEL general namelist for passive tracers
-! -------------
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!
-!-----------------------------------------------------------------------
-!       nattrc  
-!-----------------------------------------------------------------------
-!
-!       NATTRC   
-!       nwritetrc time step frequency for tracer outputs
-!       lrsttr    boolean term for tracer model restart (true or false)
-!       nrsttr    control of the time step for tracer model restart (0, 1 or 2)
-!       tracer type defined by :
-!                 *  short name 
-!                 *  long_name
-!                 *  units
-!                 *  logical to read initial value from file or not
-!                 *  logical to save value  
-! 
-&nattrc
-   nwritetrc   = 360 
-   lrsttr      = .false.
-   nrsttr      = 0
-   tracer(1)   = 'DET' , 'Detritus                   ',  'mmole-N/m3' ,  .false. ,  .true.
-   tracer(2)   = 'ZOO' , 'Zooplankton concentration  ',  'mmole-N/m3' ,  .false. ,  .true.
-   tracer(3)   = 'PHY' , 'Phytoplankton concentration',  'mmole-N/m3' ,  .false. ,  .true.
-   tracer(4)   = 'NO3' , 'Nitrate concentration      ',  'mmole-N/m3' ,  .false. ,  .true.
-   tracer(5)   = 'NH4' , 'Ammonium concentration     ',  'mmole-N/m3' ,  .false. ,  .true.
-   tracer(6)   = 'DOM' , 'Dissolved organic matter   ',  'mmole-N/m3' ,  .false. ,  .true.
-/
-!-----------------------------------------------------------------------
-!       natrtd   dynamical tracers trends (#ifdef key_trc_diatrd) 
-!-----------------------------------------------------------------------
-!   nwritetrd : time step frequency for dynamical trends outputs
-!   luttrd    : logical to keep large diagnostics with trends or not
-!               one value per tracer
-&natrtd
-   nwritetrd  = 360
-   luttrd(1)  = .false.
-   luttrd(2)  = .false.
-   luttrd(3)  = .false.
-   luttrd(4)  = .false.
-   luttrd(5)  = .false.
-   luttrd(6)  = .false.
-/
-!-----------------------------------------------------------------------
-!       natdia  additional 2D/3D  (#ifdef key_trc_diaadd)
-!-----------------------------------------------------------------------
-!  nwritedia : time step frequency for additional arrays outputs
-!  2D/3D diagnostic type defined by :
-!                 *  short name 
-!                 *  long_name
-!                 *  units
-! 
-&natdia
-   nwritedia   = 360
-   diag2d(1)   = 'TNO3PHY' , 'TNO3PHY',  '-'
-   diag2d(2)   = 'TNH4PHY' , 'TNH4PHY',  '-'
-   diag2d(3)   = 'TPHYDOM' , 'TPHYDOM',  '-'
-   diag2d(4)   = 'TPHYNH4' , 'TPHYNH4',  '-'
-   diag2d(5)   = 'TPHYZOO' , 'TPHYZOO',  '-'
-   diag2d(6)   = 'TPHYDET' , 'TPHYDET',  '-'
-   diag2d(7)   = 'TDETZOO' , 'TDETZOO',  '-'
-   diag2d(8)   = 'TDETSED' , 'TDETSED',  '-'
-   diag2d(9)   = 'TZOODET' , 'TZOODET',  '-'
-   diag2d(10)  = 'TZOOBOD' , 'TZOOBOD',  '-'
-   diag2d(11)  = 'TZOONH4' , 'TZOONH4',  '-'
-   diag2d(12)  = 'TZOODOM' , 'TZOODOM',  '-'
-   diag2d(13)  = 'TNH4NO3' , 'TNH4NO3',  '-'
-   diag2d(14)  = 'TDOMNH4' , 'TDOMNH4',  '-'
-   diag2d(15)  = 'TDETNH4' , 'TDETNH4',  '-'
-   diag2d(16)  = 'TPHYTOT' , 'TPHYTOT',  '-'
-   diag2d(17)  = 'TZOOTOT' , 'TZOOTOT',  '-'
-   diag2d(18)  = 'TDETDOM' , 'TDETDOM',  '-'
-   diag2d(19)  = 'SEDPOC ' , 'SEDPOC ',  '-'
-   diag3d(1)   = 'FNO3PHY' , 'FNO3PHY',  '-'
-   diag3d(2)   = 'FNH4PHY' , 'FNH4PHY',  '-'
-   diag3d(3)   = 'FNH4NO3' , 'FNH4NO3',  '-'
-/
-!-----------------------------------------------------------------------
-!       natnum  numerical schemes 
-!-----------------------------------------------------------------------
-!  ndttrc time step frequency for passive tracers
-!  lhdf logical if true computes horizontal diffusion
-!  rsc tuning coefficient for Smolar. 
-!  rtrn truncation value for Smolar.
-!  ncor number of corrective phases for Smolar. 
-!  crosster logical if true computes Smolar crossterms
-&natnum
-   ndttrc   = 1
-   rsc      = 1.
-   rtrn     = 1.e-15
-   ncortrc  = 1
-   crosster = .false.
-/
-!-----------------------------------------------------------------------
-!       namtrcadv   advection scheme for tracer (option not control by CPP keys)
-!-----------------------------------------------------------------------
-!  ln_trcadv_cen2     2nd order centered scheme    (default F)
-!  ln_trcadv_tvd      TVD scheme                   (default F)
-!  ln_trcadv_muscl    MUSCL scheme                 (default F)
-!  ln_trcadv_muscl2   MUSCL2 scheme                (default F)
-!  ln_trcadv_smolar   SMOLAR scheme                (default T)
-&namtrcadv
-   ln_trcadv_cen2   =  .false.
-   ln_trcadv_tvd    =  .true.
-   ln_trcadv_muscl  =  .false.
-   ln_trcadv_muscl2 =  .false.
-   ln_trcadv_smolar =  .false.
-/
-!
-!-----------------------------------------------------------------------
-!       namtrcbbl   bottom boundary layer scheme
-!-----------------------------------------------------------------------
-!  atrcbbl   lateral tracer coeff. for bottom boundary layer scheme(m2/s)
-&namtrcbbl
-   atrcbbl = 1000.
-/
-!-----------------------------------------------------------------------
-!       namtrcldf   lateral diffusion scheme for tracer (option not control by CPP keys)
-!-----------------------------------------------------------------------
-!  Flag to performs lateral diffusion or not :
-!     ln_trcldf_diff
-!  Type of the operator : 
-!     ln_trcldf_lap    laplacian operator          (default T)
-!     ln_trcldf_bilap  bilaplacian operator        (default F)
-!  Direction of action  : 
-!     ln_trcldf_level  iso-level                   (default F)
-!     ln_trcldf_hor    horizontal (geopotential)   (default F)^**
-!     ln_trcldf_iso    iso-neutral                 (default T)^*
-! ^* require key_ldfslp to compute the direction of the lateral diffusion
-! ^** require key_ldfslp in s-coordinate
-!  ahtrb0     background eddy diffusivity for isopycnal diffusion (m2/s)
-!  trcrat     ratio betweeen passive and active tracer diffusion coeff
-!  ahtrc0     horizontal eddy diffus. for passive tracer
-!  aeivtr0    eddy induced veloc. coef. for passive tracer
-&namtrcldf
-   ln_trcldf_diff   =  .true.
-   ln_trcldf_lap    =  .true.
-   ln_trcldf_bilap  =  .false.
-   ln_trcldf_level  =  .false.
-   ln_trcldf_hor    =  .false.
-   ln_trcldf_iso    =  .true.
-   ahtrb0           =  0. 
-   trcrat           =  1.
-   ahtrc0           =  300.
-   aeivtr0          =  1000.
-/
-!-----------------------------------------------------------------------
-!       namtrczdf   vertical physics
-!-----------------------------------------------------------------------
-!  ln_zdfexp   vertical physics: (=T)  time splitting (T)     (Default=F)
-!                               (=F)  euler backward (F)
-!  n_zdfexp   number of sub-timestep for time splitting scheme
-&namtrczdf
-   ln_trczdf_exp =  .false.
-   n_trczdf_exp =      3
-/
-!-----------------------------------------------------------------------
-!       namtrcdmp   tracer newtonian damping ('key_trcdmp')
-!-----------------------------------------------------------------------
-!  ndmptr    type of damping in temperature and salinity 
-!          (='latitude', damping poleward of 'ndmp' degrees and function 
-!             of the distance-to-coast. Red and Med Seas as ndmp=-1)
-!          (=-1 damping only in Med and Red Seas)
-!  ndmpftr   =1 create a damping.coeff NetCDF file (the 3D damping array)
-!  nmldmptr  type of damping in the mixed layer
-!          (=0 damping throughout the water column)
-!	   (=1 no damping in the mixed layer defined by avt >5cm2/s )
-!	   (=2 no damping in the mixed layer defined rho<rho(surf)+.01 )
-!  sdmptr    surface time scale for internal damping (days)
-!  bdmptr    bottom time scale for internal damping (days)
-!  hdmptr    depth of transition between sdmp and bdmp (meters)
-&namtrcdmp
-   ndmptr   =  20
-   ndmpftr  =   0
-   nmldmptr =   0
-   sdmptr   =  50.
-   bdmptr   = 360.
-   hdmptr   = 800.
-/
Index: /trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist_top
===================================================================
--- /trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist_top	(revision 1090)
+++ /trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist_top	(revision 1090)
@@ -0,0 +1,182 @@
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+! OPA MODEL general namelist for passive tracers
+! -------------
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!
+!-----------------------------------------------------------------------
+!       nattrc  
+!-----------------------------------------------------------------------
+!
+!       NATTRC   
+!       nwritetrc time step frequency for tracer outputs
+!       lrsttr    boolean term for tracer model restart (true or false)
+!       nrsttr    control of the time step for tracer model restart (0, 1 or 2)
+!       tracer type defined by :
+!                 *  short name 
+!                 *  long_name
+!                 *  units
+!                 *  logical to read initial value from file or not
+!                 *  logical to save value  
+! 
+&nattrc
+   nwritetrc   = 360 
+   lrsttr      = .false.
+   nrsttr      = 0
+   tracer(1)   = 'DET' , 'Detritus                   ',  'mmole-N/m3' ,  .false. ,  .true.
+   tracer(2)   = 'ZOO' , 'Zooplankton concentration  ',  'mmole-N/m3' ,  .false. ,  .true.
+   tracer(3)   = 'PHY' , 'Phytoplankton concentration',  'mmole-N/m3' ,  .false. ,  .true.
+   tracer(4)   = 'NO3' , 'Nitrate concentration      ',  'mmole-N/m3' ,  .false. ,  .true.
+   tracer(5)   = 'NH4' , 'Ammonium concentration     ',  'mmole-N/m3' ,  .false. ,  .true.
+   tracer(6)   = 'DOM' , 'Dissolved organic matter   ',  'mmole-N/m3' ,  .false. ,  .true.
+/
+!-----------------------------------------------------------------------
+!       natrtd   dynamical tracers trends (#ifdef key_trc_diatrd) 
+!-----------------------------------------------------------------------
+!   nwritetrd : time step frequency for dynamical trends outputs
+!   luttrd    : logical to keep large diagnostics with trends or not
+!               one value per tracer
+&natrtd
+   nwritetrd  = 360
+   luttrd(1)  = .false.
+   luttrd(2)  = .false.
+   luttrd(3)  = .false.
+   luttrd(4)  = .false.
+   luttrd(5)  = .false.
+   luttrd(6)  = .false.
+/
+!-----------------------------------------------------------------------
+!       natdia  additional 2D/3D  (#ifdef key_trc_diaadd)
+!-----------------------------------------------------------------------
+!  nwritedia : time step frequency for additional arrays outputs
+!  2D/3D diagnostic type defined by :
+!                 *  short name 
+!                 *  long_name
+!                 *  units
+! 
+&natdia
+   nwritedia   = 360
+   diag2d(1)   = 'TNO3PHY' , 'TNO3PHY',  '-'
+   diag2d(2)   = 'TNH4PHY' , 'TNH4PHY',  '-'
+   diag2d(3)   = 'TPHYDOM' , 'TPHYDOM',  '-'
+   diag2d(4)   = 'TPHYNH4' , 'TPHYNH4',  '-'
+   diag2d(5)   = 'TPHYZOO' , 'TPHYZOO',  '-'
+   diag2d(6)   = 'TPHYDET' , 'TPHYDET',  '-'
+   diag2d(7)   = 'TDETZOO' , 'TDETZOO',  '-'
+   diag2d(8)   = 'TDETSED' , 'TDETSED',  '-'
+   diag2d(9)   = 'TZOODET' , 'TZOODET',  '-'
+   diag2d(10)  = 'TZOOBOD' , 'TZOOBOD',  '-'
+   diag2d(11)  = 'TZOONH4' , 'TZOONH4',  '-'
+   diag2d(12)  = 'TZOODOM' , 'TZOODOM',  '-'
+   diag2d(13)  = 'TNH4NO3' , 'TNH4NO3',  '-'
+   diag2d(14)  = 'TDOMNH4' , 'TDOMNH4',  '-'
+   diag2d(15)  = 'TDETNH4' , 'TDETNH4',  '-'
+   diag2d(16)  = 'TPHYTOT' , 'TPHYTOT',  '-'
+   diag2d(17)  = 'TZOOTOT' , 'TZOOTOT',  '-'
+   diag2d(18)  = 'TDETDOM' , 'TDETDOM',  '-'
+   diag2d(19)  = 'SEDPOC ' , 'SEDPOC ',  '-'
+   diag3d(1)   = 'FNO3PHY' , 'FNO3PHY',  '-'
+   diag3d(2)   = 'FNH4PHY' , 'FNH4PHY',  '-'
+   diag3d(3)   = 'FNH4NO3' , 'FNH4NO3',  '-'
+/
+!-----------------------------------------------------------------------
+!       natnum  numerical schemes 
+!-----------------------------------------------------------------------
+!  ndttrc time step frequency for passive tracers
+!  lhdf logical if true computes horizontal diffusion
+!  rsc tuning coefficient for Smolar. 
+!  rtrn truncation value for Smolar.
+!  ncor number of corrective phases for Smolar. 
+!  crosster logical if true computes Smolar crossterms
+&natnum
+   ndttrc   = 1
+   rsc      = 1.
+   rtrn     = 1.e-15
+   ncortrc  = 1
+   crosster = .false.
+/
+!-----------------------------------------------------------------------
+!       namtrcadv   advection scheme for tracer (option not control by CPP keys)
+!-----------------------------------------------------------------------
+!  ln_trcadv_cen2     2nd order centered scheme    (default F)
+!  ln_trcadv_tvd      TVD scheme                   (default F)
+!  ln_trcadv_muscl    MUSCL scheme                 (default F)
+!  ln_trcadv_muscl2   MUSCL2 scheme                (default F)
+!  ln_trcadv_smolar   SMOLAR scheme                (default T)
+&namtrcadv
+   ln_trcadv_cen2   =  .false.
+   ln_trcadv_tvd    =  .true.
+   ln_trcadv_muscl  =  .false.
+   ln_trcadv_muscl2 =  .false.
+   ln_trcadv_smolar =  .false.
+/
+!
+!-----------------------------------------------------------------------
+!       namtrcbbl   bottom boundary layer scheme
+!-----------------------------------------------------------------------
+!  atrcbbl   lateral tracer coeff. for bottom boundary layer scheme(m2/s)
+&namtrcbbl
+   atrcbbl = 1000.
+/
+!-----------------------------------------------------------------------
+!       namtrcldf   lateral diffusion scheme for tracer (option not control by CPP keys)
+!-----------------------------------------------------------------------
+!  Flag to performs lateral diffusion or not :
+!     ln_trcldf_diff
+!  Type of the operator : 
+!     ln_trcldf_lap    laplacian operator          (default T)
+!     ln_trcldf_bilap  bilaplacian operator        (default F)
+!  Direction of action  : 
+!     ln_trcldf_level  iso-level                   (default F)
+!     ln_trcldf_hor    horizontal (geopotential)   (default F)^**
+!     ln_trcldf_iso    iso-neutral                 (default T)^*
+! ^* require key_ldfslp to compute the direction of the lateral diffusion
+! ^** require key_ldfslp in s-coordinate
+!  ahtrb0     background eddy diffusivity for isopycnal diffusion (m2/s)
+!  trcrat     ratio betweeen passive and active tracer diffusion coeff
+!  ahtrc0     horizontal eddy diffus. for passive tracer
+!  aeivtr0    eddy induced veloc. coef. for passive tracer
+&namtrcldf
+   ln_trcldf_diff   =  .true.
+   ln_trcldf_lap    =  .true.
+   ln_trcldf_bilap  =  .false.
+   ln_trcldf_level  =  .false.
+   ln_trcldf_hor    =  .false.
+   ln_trcldf_iso    =  .true.
+   ahtrb0           =  0. 
+   trcrat           =  1.
+   ahtrc0           =  300.
+   aeivtr0          =  1000.
+/
+!-----------------------------------------------------------------------
+!       namtrczdf   vertical physics
+!-----------------------------------------------------------------------
+!  ln_zdfexp   vertical physics: (=T)  time splitting (T)     (Default=F)
+!                               (=F)  euler backward (F)
+!  n_zdfexp   number of sub-timestep for time splitting scheme
+&namtrczdf
+   ln_trczdf_exp =  .false.
+   n_trczdf_exp =      3
+/
+!-----------------------------------------------------------------------
+!       namtrcdmp   tracer newtonian damping ('key_trcdmp')
+!-----------------------------------------------------------------------
+!  ndmptr    type of damping in temperature and salinity 
+!          (='latitude', damping poleward of 'ndmp' degrees and function 
+!             of the distance-to-coast. Red and Med Seas as ndmp=-1)
+!          (=-1 damping only in Med and Red Seas)
+!  ndmpftr   =1 create a damping.coeff NetCDF file (the 3D damping array)
+!  nmldmptr  type of damping in the mixed layer
+!          (=0 damping throughout the water column)
+!	   (=1 no damping in the mixed layer defined by avt >5cm2/s )
+!	   (=2 no damping in the mixed layer defined rho<rho(surf)+.01 )
+!  sdmptr    surface time scale for internal damping (days)
+!  bdmptr    bottom time scale for internal damping (days)
+!  hdmptr    depth of transition between sdmp and bdmp (meters)
+&namtrcdmp
+   ndmptr   =  20
+   ndmpftr  =   0
+   nmldmptr =   0
+   sdmptr   =  50.
+   bdmptr   = 360.
+   hdmptr   = 800.
+/