Index: unk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist.passivetrc
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist.passivetrc	(revision 1090)
+++ 	(revision )
@@ -1,222 +1,0 @@
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-! OPA MODEL general namelist for passive tracers
-! -------------
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!
-!-----------------------------------------------------------------------
-!       nattrc  
-!-----------------------------------------------------------------------
-!
-!       NATTRC   
-!       nwritetrc time step frequency for tracer outputs
-!       lrsttr    boolean term for tracer model restart (true or false)
-!       nrsttr    control of the time step for tracer model restart (0, 1 or 2)
-!       tracer type defined by :
-!                 *  short name 
-!                 *  long_name
-!                 *  units
-!                 *  logical to read initial value from file or not
-!                 *  multiplicative coefficient
-!                 *  logical to save value  
-! 
-&nattrc
-   nwritetrc   = 5475 
-   lrsttr      = .true.
-   nrsttr      = 0
-   tracer(1)   = 'DIC     ' , 'Dissolved inorganic Concentration          ',  'umol/L' ,  .false. ,  .true.
-   tracer(2)   = 'Alkalini' , 'Total Alkalinity Concentration             ',  'ueq/L ' ,  .false. ,  .true.
-   tracer(3)   = 'O2      ' , 'Dissolved Oxygen Concentration             ',  'umol/L' ,  .false. ,  .true.
-   tracer(4)   = 'CaCO3   ' , 'Calcite Concentration                      ',  'umol/L' ,  .false. ,  .true.
-   tracer(5)   = 'PO4     ' , 'Phosphate Concentration                    ',  'umol/L' ,  .false. ,  .true.
-   tracer(6)   = 'POC     ' , 'Small particle organic carbon Concentration',  'umol/L' ,  .false. ,  .true.
-   tracer(7)   = 'Si      ' , 'Silicate Concentration                     ',  'umol/L' ,  .false. ,  .true.
-   tracer(8)   = 'PHY     ' , 'Nanophytoplankton Concentration            ',  'umol/L' ,  .false. ,  .true.
-   tracer(9)   = 'ZOO     ' , 'Microzooplankton Concentration             ',  'umol/L' ,  .false. ,  .true.
-   tracer(10)  = 'DOC     ' , 'Dissolved organic Concentration            ',  'umol/L' ,  .false. ,  .true.
-   tracer(11)  = 'PHY2    ' , 'Diatoms Concentration                      ',  'umol/L' ,  .false. ,  .true.
-   tracer(12)  = 'ZOO2    ' , 'Mesozooplankton Concentration              ',  'umol/L' ,  .false. ,  .true.
-   tracer(13)  = 'BSi     ' , 'Diatoms Silicate Concentration             ',  'umol/L' ,  .false. ,  .true.
-   tracer(14)  = 'Fer     ' , 'Dissolved Iron Concentration               ',  'umol/L' ,  .false. ,  .true.
-   tracer(15)  = 'BFe     ' , 'Big iron particles Concentration           ',  'umol/L' ,  .false. ,  .true.
-   tracer(16)  = 'GOC     ' , 'Big particle organic carbon Concentration  ',  'umol/L' ,  .false. ,  .true.
-   tracer(17)  = 'SFe     ' , 'Small iron particles Concentration         ',  'umol/L' ,  .false. ,  .true.
-   tracer(18)  = 'DFe     ' , 'Diatoms iron  Concentration                ',  'umol/L' ,  .false. ,  .true.
-   tracer(19)  = 'DSi     ' , 'Sinking biogenic Silicate Concentration    ',  'umol/L' ,  .false. ,  .true.
-   tracer(20)  = 'NFe     ' , 'Nano iron Concentration                    ',  'umol/L' ,  .false. ,  .true.
-   tracer(21)  = 'NCHL    ' , 'Nano chlorophyl Concentration              ',  'umol/L' ,  .false. ,  .true.
-   tracer(22)  = 'DCHL    ' , 'Diatoms chlorophyl Concentration           ',  'umol/L' ,  .false. ,  .true.
-   tracer(23)  = 'NO3     ' , 'Nitrates Concentration                     ',  'umol/L' ,  .false. ,  .true.
-   tracer(24)  = 'NH4     ' , 'Ammonium Concentration                     ',  'umol/L' ,  .false. ,  .true.
-/
-!-----------------------------------------------------------------------
-!       natrtd   dynamical tracers trends (#ifdef key_trc_diatrd) 
-!-----------------------------------------------------------------------
-!   nwritetrd : time step frequency for dynamical trends outputs
-!   luttrd    : logical to keep large diagnostics with trends or not
-!               one value per tracer
-&natrtd
-   nwritetrd  = 5475
-   luttrd(1)  = .false.
-   luttrd(2)  = .false.
-   luttrd(3)  = .false.
-   luttrd(4)  = .false.
-   luttrd(5)  = .false.
-   luttrd(6)  = .false.
-   luttrd(7)  = .false.
-   luttrd(8)  = .false.
-   luttrd(9)  = .false.
-   luttrd(10) = .false.
-   luttrd(11) = .false.
-   luttrd(12) = .false.
-   luttrd(13) = .false.
-   luttrd(14) = .false.
-   luttrd(15) = .false.
-   luttrd(16) = .false.
-   luttrd(17) = .false.
-   luttrd(18) = .false.
-   luttrd(19) = .false.
-   luttrd(20) = .false.
-   luttrd(21) = .false.
-   luttrd(22) = .false.
-   luttrd(23) = .false.
-   luttrd(24) = .false.
-/
-!-----------------------------------------------------------------------
-!       natdia  additional 2D/3D  (#ifdef key_trc_diaadd)
-!-----------------------------------------------------------------------
-!  nwritedia : time step frequency for additional arrays outputs
-!  2D/3D diagnostic type defined by :
-!                 *  short name 
-!                 *  long_name
-!                 *  units
-!                 *  logical to save value or not 
-! 
-&natdia
-   nwritedia   = 5475
-   diag2d(1)   = 'Cflx     ' , 'DIC flux                          ',  'molC/m2/s    '
-   diag2d(2)   = 'Oflx     ' , 'Oxygen flux                       ',  'molC/m2/s    '
-   diag2d(3)   = 'Kg       ' , 'Gas transfer                      ',  'mol/m2/s/uatm'
-   diag2d(4)   = 'Delc     ' , 'Delta CO2                         ',  'uatm         '
-   diag2d(5)   = 'PMO      ' , 'POC export                        ',  'molC/m2/s    '
-   diag2d(6)   = 'PMO2     ' , 'GOC export                        ',  'molC/m2/s    '
-   diag2d(7)   = 'ExpFe1   ' , 'Nano iron export                  ',  'molFe/m2/s   '
-   diag2d(8)   = 'ExpFe2   ' , 'Diatoms iron export               ',  'molFe/m2/s   '
-   diag2d(9)   = 'ExpSi    ' , 'Silicate export                   ',  'molSi/m2/s   '
-   diag2d(10)  = 'ExpCaCO3 ' , 'Calcite export                    ',  'molC/m2/s    '
-   diag2d(11)  = 'heup     ' , 'euphotic layer depth              ',  'm            '
-   diag2d(12)  = 'Fedep    ' , 'Iron dep                          ',  'molFe/m2/s   '
-   diag2d(13)  = 'Nfix     ' , 'Nitrogen Fixation                 ',  'molN/m2/s    '
-   diag3d(1)   = 'PH       ' , 'PH                                ',  '-            '
-   diag3d(2)   = 'CO3      ' , 'Bicarbonates                      ',  'mol/l        '
-   diag3d(3)   = 'CO3sat   ' , 'CO3 saturation                    ',  'mol/l        '
-   diag3d(4)   = 'PAR      ' , 'light penetration                 ',  'W/m2         '
-   diag3d(5)   = 'PPPHY    ' , 'Primary production of nanophyto   ',  'molC/m3/s    '
-   diag3d(6)   = 'PPPHY2   ' , 'Primary production of diatoms     ',  'molC/m3/s    '
-   diag3d(7)   = 'PPZOO    ' , 'Primary production of microzoo    ',  'molC/m3/s    '
-   diag3d(8)   = 'PPZOO2   ' , 'Primary production of mesozoo     ',  'molC/m3/s    '
-   diag3d(9)   = 'PBSi     ' , 'Primary production of Si diatoms  ',  'molSi/m3/s   '
-   diag3d(10)  = 'PFeN     ' , 'Primary production of nano iron   ',  'molFe/m3/s   '
-   diag3d(11)  = 'PFeD     ' , 'Primary production of diatoms iron',  'molFe/m3/s   '
-/
-!-----------------------------------------------------------------------
-!       natnum  numerical schemes 
-!-----------------------------------------------------------------------
-!  ndttrc time step frequency for passive tracers
-!  lhdf logical if true computes horizontal diffusion
-!  rsc tuning coefficient for Smolar. 
-!  rtrn truncation value for Smolar.
-!  ncor number of corrective phases for Smolar. 
-!  crosster logical if true computes Smolar crossterms
-&natnum
-   ndttrc   = 1
-   rsc      = 1.
-   rtrn     = 1.e-15
-   ncortrc  = 1
-   crosster = .false.
-/
-!-----------------------------------------------------------------------
-!       namtrcadv   advection scheme for tracer (option not control by CPP keys)
-!-----------------------------------------------------------------------
-!  ln_trcadv_cen2     2nd order centered scheme    (default F)
-!  ln_trcadv_tvd      TVD scheme                   (default F)
-!  ln_trcadv_muscl    MUSCL scheme                 (default F)
-!  ln_trcadv_muscl2   MUSCL2 scheme                (default F)
-!  ln_trcadv_smolar   SMOLAR scheme                (default T)
-&namtrcadv
-   ln_trcadv_cen2   =  .false.
-   ln_trcadv_tvd    =  .false.
-   ln_trcadv_muscl  =  .true.
-   ln_trcadv_muscl2 =  .false.
-   ln_trcadv_smolar =  .false.
-/
-!
-!-----------------------------------------------------------------------
-!       namtrcbbl   bottom boundary layer scheme
-!-----------------------------------------------------------------------
-!  atrcbbl   lateral tracer coeff. for bottom boundary layer scheme(m2/s)
-&namtrcbbl
-   atrcbbl = 1000.
-/
-!-----------------------------------------------------------------------
-!       namtrcldf   lateral diffusion scheme for tracer (option not control by CPP keys)
-!-----------------------------------------------------------------------
-!  Flag to performs lateral diffusion or not :
-!     ln_trcldf_diff
-!  Type of the operator : 
-!     ln_trcldf_lap    laplacian operator          (default T)
-!     ln_trcldf_bilap  bilaplacian operator        (default F)
-!  Direction of action  : 
-!     ln_trcldf_level  iso-level                   (default F)
-!     ln_trcldf_hor    horizontal (geopotential)   (default F)^**
-!     ln_trcldf_iso    iso-neutral                 (default T)^*
-! ^* require key_ldfslp to compute the direction of the lateral diffusion
-! ^** require key_ldfslp in s-coordinate
-!  ahtrb0     background eddy diffusivity for isopycnal diffusion (m2/s)
-!  trcrat     ratio betweeen passive and active tracer diffusion coeff
-!  ahtrc0     horizontal eddy diffus. for passive tracer
-!  aeivtr0    eddy induced veloc. coef. for passive tracer
-&namtrcldf
-   ln_trcldf_diff   =  .true.
-   ln_trcldf_lap    =  .true.
-   ln_trcldf_bilap  =  .false.
-   ln_trcldf_level  =  .false.
-   ln_trcldf_hor    =  .false.
-   ln_trcldf_iso    =  .true.
-   ahtrb0           =  0. 
-   trcrat           =  1.
-   ahtrc0           =  2000
-   aeivtr0          =  2000.
-/
-!-----------------------------------------------------------------------
-!       namtrczdf   vertical physics
-!-----------------------------------------------------------------------
-!  ln_zdfexp   vertical physics: (=T)  time splitting (T)     (Default=F)
-!                               (=F)  euler backward (F)
-!  n_zdfexp   number of sub-timestep for time splitting scheme
-&namtrczdf
-   ln_trczdf_exp =  .false.
-   n_trczdf_exp =      3
-/
-!-----------------------------------------------------------------------
-!       namtrcdmp   tracer newtonian damping ('key_trcdmp')
-!-----------------------------------------------------------------------
-!  ndmptr    type of damping in temperature and salinity 
-!          (='latitude', damping poleward of 'ndmp' degrees and function 
-!             of the distance-to-coast. Red and Med Seas as ndmp=-1)
-!          (=-1 damping only in Med and Red Seas)
-!  ndmpftr   =1 create a damping.coeff NetCDF file (the 3D damping array)
-!  nmldmptr  type of damping in the mixed layer
-!          (=0 damping throughout the water column)
-!	   (=1 no damping in the mixed layer defined by avt >5cm2/s )
-!	   (=2 no damping in the mixed layer defined rho<rho(surf)+.01 )
-!  sdmptr    surface time scale for internal damping (days)
-!  bdmptr    bottom time scale for internal damping (days)
-!  hdmptr    depth of transition between sdmp and bdmp (meters)
-&namtrcdmp
-   ndmptr   =  20
-   ndmpftr  =   0
-   nmldmptr =   1
-   sdmptr   =  50.
-   bdmptr   = 360.
-   hdmptr   = 800.
-/
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_top
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_top	(revision 1091)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_top	(revision 1091)
@@ -0,0 +1,222 @@
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+! OPA MODEL general namelist for passive tracers
+! -------------
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!
+!-----------------------------------------------------------------------
+!       nattrc  
+!-----------------------------------------------------------------------
+!
+!       NATTRC   
+!       nwritetrc time step frequency for tracer outputs
+!       lrsttr    boolean term for tracer model restart (true or false)
+!       nrsttr    control of the time step for tracer model restart (0, 1 or 2)
+!       tracer type defined by :
+!                 *  short name 
+!                 *  long_name
+!                 *  units
+!                 *  logical to read initial value from file or not
+!                 *  multiplicative coefficient
+!                 *  logical to save value  
+! 
+&nattrc
+   nwritetrc   = 5475 
+   lrsttr      = .true.
+   nrsttr      = 0
+   tracer(1)   = 'DIC     ' , 'Dissolved inorganic Concentration          ',  'umol/L' ,  .false. ,  .true.
+   tracer(2)   = 'Alkalini' , 'Total Alkalinity Concentration             ',  'ueq/L ' ,  .false. ,  .true.
+   tracer(3)   = 'O2      ' , 'Dissolved Oxygen Concentration             ',  'umol/L' ,  .false. ,  .true.
+   tracer(4)   = 'CaCO3   ' , 'Calcite Concentration                      ',  'umol/L' ,  .false. ,  .true.
+   tracer(5)   = 'PO4     ' , 'Phosphate Concentration                    ',  'umol/L' ,  .false. ,  .true.
+   tracer(6)   = 'POC     ' , 'Small particle organic carbon Concentration',  'umol/L' ,  .false. ,  .true.
+   tracer(7)   = 'Si      ' , 'Silicate Concentration                     ',  'umol/L' ,  .false. ,  .true.
+   tracer(8)   = 'PHY     ' , 'Nanophytoplankton Concentration            ',  'umol/L' ,  .false. ,  .true.
+   tracer(9)   = 'ZOO     ' , 'Microzooplankton Concentration             ',  'umol/L' ,  .false. ,  .true.
+   tracer(10)  = 'DOC     ' , 'Dissolved organic Concentration            ',  'umol/L' ,  .false. ,  .true.
+   tracer(11)  = 'PHY2    ' , 'Diatoms Concentration                      ',  'umol/L' ,  .false. ,  .true.
+   tracer(12)  = 'ZOO2    ' , 'Mesozooplankton Concentration              ',  'umol/L' ,  .false. ,  .true.
+   tracer(13)  = 'BSi     ' , 'Diatoms Silicate Concentration             ',  'umol/L' ,  .false. ,  .true.
+   tracer(14)  = 'Fer     ' , 'Dissolved Iron Concentration               ',  'umol/L' ,  .false. ,  .true.
+   tracer(15)  = 'BFe     ' , 'Big iron particles Concentration           ',  'umol/L' ,  .false. ,  .true.
+   tracer(16)  = 'GOC     ' , 'Big particle organic carbon Concentration  ',  'umol/L' ,  .false. ,  .true.
+   tracer(17)  = 'SFe     ' , 'Small iron particles Concentration         ',  'umol/L' ,  .false. ,  .true.
+   tracer(18)  = 'DFe     ' , 'Diatoms iron  Concentration                ',  'umol/L' ,  .false. ,  .true.
+   tracer(19)  = 'DSi     ' , 'Sinking biogenic Silicate Concentration    ',  'umol/L' ,  .false. ,  .true.
+   tracer(20)  = 'NFe     ' , 'Nano iron Concentration                    ',  'umol/L' ,  .false. ,  .true.
+   tracer(21)  = 'NCHL    ' , 'Nano chlorophyl Concentration              ',  'umol/L' ,  .false. ,  .true.
+   tracer(22)  = 'DCHL    ' , 'Diatoms chlorophyl Concentration           ',  'umol/L' ,  .false. ,  .true.
+   tracer(23)  = 'NO3     ' , 'Nitrates Concentration                     ',  'umol/L' ,  .false. ,  .true.
+   tracer(24)  = 'NH4     ' , 'Ammonium Concentration                     ',  'umol/L' ,  .false. ,  .true.
+/
+!-----------------------------------------------------------------------
+!       natrtd   dynamical tracers trends (#ifdef key_trc_diatrd) 
+!-----------------------------------------------------------------------
+!   nwritetrd : time step frequency for dynamical trends outputs
+!   luttrd    : logical to keep large diagnostics with trends or not
+!               one value per tracer
+&natrtd
+   nwritetrd  = 5475
+   luttrd(1)  = .false.
+   luttrd(2)  = .false.
+   luttrd(3)  = .false.
+   luttrd(4)  = .false.
+   luttrd(5)  = .false.
+   luttrd(6)  = .false.
+   luttrd(7)  = .false.
+   luttrd(8)  = .false.
+   luttrd(9)  = .false.
+   luttrd(10) = .false.
+   luttrd(11) = .false.
+   luttrd(12) = .false.
+   luttrd(13) = .false.
+   luttrd(14) = .false.
+   luttrd(15) = .false.
+   luttrd(16) = .false.
+   luttrd(17) = .false.
+   luttrd(18) = .false.
+   luttrd(19) = .false.
+   luttrd(20) = .false.
+   luttrd(21) = .false.
+   luttrd(22) = .false.
+   luttrd(23) = .false.
+   luttrd(24) = .false.
+/
+!-----------------------------------------------------------------------
+!       natdia  additional 2D/3D  (#ifdef key_trc_diaadd)
+!-----------------------------------------------------------------------
+!  nwritedia : time step frequency for additional arrays outputs
+!  2D/3D diagnostic type defined by :
+!                 *  short name 
+!                 *  long_name
+!                 *  units
+!                 *  logical to save value or not 
+! 
+&natdia
+   nwritedia   = 5475
+   diag2d(1)   = 'Cflx     ' , 'DIC flux                          ',  'molC/m2/s    '
+   diag2d(2)   = 'Oflx     ' , 'Oxygen flux                       ',  'molC/m2/s    '
+   diag2d(3)   = 'Kg       ' , 'Gas transfer                      ',  'mol/m2/s/uatm'
+   diag2d(4)   = 'Delc     ' , 'Delta CO2                         ',  'uatm         '
+   diag2d(5)   = 'PMO      ' , 'POC export                        ',  'molC/m2/s    '
+   diag2d(6)   = 'PMO2     ' , 'GOC export                        ',  'molC/m2/s    '
+   diag2d(7)   = 'ExpFe1   ' , 'Nano iron export                  ',  'molFe/m2/s   '
+   diag2d(8)   = 'ExpFe2   ' , 'Diatoms iron export               ',  'molFe/m2/s   '
+   diag2d(9)   = 'ExpSi    ' , 'Silicate export                   ',  'molSi/m2/s   '
+   diag2d(10)  = 'ExpCaCO3 ' , 'Calcite export                    ',  'molC/m2/s    '
+   diag2d(11)  = 'heup     ' , 'euphotic layer depth              ',  'm            '
+   diag2d(12)  = 'Fedep    ' , 'Iron dep                          ',  'molFe/m2/s   '
+   diag2d(13)  = 'Nfix     ' , 'Nitrogen Fixation                 ',  'molN/m2/s    '
+   diag3d(1)   = 'PH       ' , 'PH                                ',  '-            '
+   diag3d(2)   = 'CO3      ' , 'Bicarbonates                      ',  'mol/l        '
+   diag3d(3)   = 'CO3sat   ' , 'CO3 saturation                    ',  'mol/l        '
+   diag3d(4)   = 'PAR      ' , 'light penetration                 ',  'W/m2         '
+   diag3d(5)   = 'PPPHY    ' , 'Primary production of nanophyto   ',  'molC/m3/s    '
+   diag3d(6)   = 'PPPHY2   ' , 'Primary production of diatoms     ',  'molC/m3/s    '
+   diag3d(7)   = 'PPZOO    ' , 'Primary production of microzoo    ',  'molC/m3/s    '
+   diag3d(8)   = 'PPZOO2   ' , 'Primary production of mesozoo     ',  'molC/m3/s    '
+   diag3d(9)   = 'PBSi     ' , 'Primary production of Si diatoms  ',  'molSi/m3/s   '
+   diag3d(10)  = 'PFeN     ' , 'Primary production of nano iron   ',  'molFe/m3/s   '
+   diag3d(11)  = 'PFeD     ' , 'Primary production of diatoms iron',  'molFe/m3/s   '
+/
+!-----------------------------------------------------------------------
+!       natnum  numerical schemes 
+!-----------------------------------------------------------------------
+!  ndttrc time step frequency for passive tracers
+!  lhdf logical if true computes horizontal diffusion
+!  rsc tuning coefficient for Smolar. 
+!  rtrn truncation value for Smolar.
+!  ncor number of corrective phases for Smolar. 
+!  crosster logical if true computes Smolar crossterms
+&natnum
+   ndttrc   = 1
+   rsc      = 1.
+   rtrn     = 1.e-15
+   ncortrc  = 1
+   crosster = .false.
+/
+!-----------------------------------------------------------------------
+!       namtrcadv   advection scheme for tracer (option not control by CPP keys)
+!-----------------------------------------------------------------------
+!  ln_trcadv_cen2     2nd order centered scheme    (default F)
+!  ln_trcadv_tvd      TVD scheme                   (default F)
+!  ln_trcadv_muscl    MUSCL scheme                 (default F)
+!  ln_trcadv_muscl2   MUSCL2 scheme                (default F)
+!  ln_trcadv_smolar   SMOLAR scheme                (default T)
+&namtrcadv
+   ln_trcadv_cen2   =  .false.
+   ln_trcadv_tvd    =  .false.
+   ln_trcadv_muscl  =  .true.
+   ln_trcadv_muscl2 =  .false.
+   ln_trcadv_smolar =  .false.
+/
+!
+!-----------------------------------------------------------------------
+!       namtrcbbl   bottom boundary layer scheme
+!-----------------------------------------------------------------------
+!  atrcbbl   lateral tracer coeff. for bottom boundary layer scheme(m2/s)
+&namtrcbbl
+   atrcbbl = 1000.
+/
+!-----------------------------------------------------------------------
+!       namtrcldf   lateral diffusion scheme for tracer (option not control by CPP keys)
+!-----------------------------------------------------------------------
+!  Flag to performs lateral diffusion or not :
+!     ln_trcldf_diff
+!  Type of the operator : 
+!     ln_trcldf_lap    laplacian operator          (default T)
+!     ln_trcldf_bilap  bilaplacian operator        (default F)
+!  Direction of action  : 
+!     ln_trcldf_level  iso-level                   (default F)
+!     ln_trcldf_hor    horizontal (geopotential)   (default F)^**
+!     ln_trcldf_iso    iso-neutral                 (default T)^*
+! ^* require key_ldfslp to compute the direction of the lateral diffusion
+! ^** require key_ldfslp in s-coordinate
+!  ahtrb0     background eddy diffusivity for isopycnal diffusion (m2/s)
+!  trcrat     ratio betweeen passive and active tracer diffusion coeff
+!  ahtrc0     horizontal eddy diffus. for passive tracer
+!  aeivtr0    eddy induced veloc. coef. for passive tracer
+&namtrcldf
+   ln_trcldf_diff   =  .true.
+   ln_trcldf_lap    =  .true.
+   ln_trcldf_bilap  =  .false.
+   ln_trcldf_level  =  .false.
+   ln_trcldf_hor    =  .false.
+   ln_trcldf_iso    =  .true.
+   ahtrb0           =  0. 
+   trcrat           =  1.
+   ahtrc0           =  2000
+   aeivtr0          =  2000.
+/
+!-----------------------------------------------------------------------
+!       namtrczdf   vertical physics
+!-----------------------------------------------------------------------
+!  ln_zdfexp   vertical physics: (=T)  time splitting (T)     (Default=F)
+!                               (=F)  euler backward (F)
+!  n_zdfexp   number of sub-timestep for time splitting scheme
+&namtrczdf
+   ln_trczdf_exp =  .false.
+   n_trczdf_exp =      3
+/
+!-----------------------------------------------------------------------
+!       namtrcdmp   tracer newtonian damping ('key_trcdmp')
+!-----------------------------------------------------------------------
+!  ndmptr    type of damping in temperature and salinity 
+!          (='latitude', damping poleward of 'ndmp' degrees and function 
+!             of the distance-to-coast. Red and Med Seas as ndmp=-1)
+!          (=-1 damping only in Med and Red Seas)
+!  ndmpftr   =1 create a damping.coeff NetCDF file (the 3D damping array)
+!  nmldmptr  type of damping in the mixed layer
+!          (=0 damping throughout the water column)
+!	   (=1 no damping in the mixed layer defined by avt >5cm2/s )
+!	   (=2 no damping in the mixed layer defined rho<rho(surf)+.01 )
+!  sdmptr    surface time scale for internal damping (days)
+!  bdmptr    bottom time scale for internal damping (days)
+!  hdmptr    depth of transition between sdmp and bdmp (meters)
+&namtrcdmp
+   ndmptr   =  20
+   ndmpftr  =   0
+   nmldmptr =   1
+   sdmptr   =  50.
+   bdmptr   = 360.
+   hdmptr   = 800.
+/